Illumience API

Status

The status endpoint will return a JSON response that will include statistics for every eSite installation registered to the companies account associated with the apikey submitted in the header.

Retrieving the status

⚠️ Remember: You must include your apikey in the Authorization section of the Header!

GET /status — full specification in the OpenAPI YAML

ℹ️ Note: A 200 response will return a JSON object listing all the sites registered to your corporate accout along with some statistics for each site.

Example JSON response array of objects:

[
    {
        "context": string,                  
        "siteId": string,
        "siteName": string,
        "alertLevel": integer,
        "loadStatus": integer,
        "systemMode": integer,
        "totalConsumedPower": double,
        "consumedCurrent": double,
        "t1Power": double,
        "t1Current": double,
        "t2Power": double,
        "t2Current": double,
        "t3Power": double,
        "t3Current": double,
        "gensetPower":, double,
        "gridPower": double,
        "gridCurrent": double,
        "solarPower": double,
        "solarCurrent": double,
        "systemVoltage": double,
        "batterySoc": double,
        "batteryVoltage": double,
        "batteryChargeCurrent": double,
        "batteryState": integer,
        "gensetState": integer,
        "timestamp": integer,
        "connectionStatus": integer,
        "dataAge": integer
    }
]

Field descriptions & default values

FieldDescriptionDefault Value
contextSite ID (as a path)null
siteIdSite IDnull
siteNameSite namenull
alertLevelAlert level0
loadStatusLoad status

0 - connected (default)

1 - low priority load disconnect

10 - high priority load disconnect

11 - disconnected

systemModeSystem mode

0 - unknown (default)

1 - auto

2 - auto full charge

3 - manual

4 - safe mode

totalConsumedPowerTotal consumed power (W)0.0
consumedCurrentTotal consumed current (A)0.0
t1PowerT1 power (W)null
t1CurrentT1 current (A)null
t2PowerT2 power (W)null
t2CurrentT2 current (A)null
t3PowerT3 power (W)null
t3CurrentT3 current (A)null
gensetPowerGenset power (W)0.0
gridPowerGrid power (W)null
gridCurrentGrid current (A)null
solarPowerSolar power (W)0.0
solarCurrentTotal solar current (A)0.0
systemVoltageSystem voltage (VDC)0.0
batterySocBattery SoC (%)0.0
batteryVoltageBattery voltage (VDC)0.0
batteryChargeCurrentBattery charge current (A)0.0
batteryStateBattery state

0 - unknown (default)

1 - discharge

2 - charge

3 - absorb

4 - equalize

5 - fully charged

6 - unknown

7 - unknown

gensetStateGenset state

0 - off

1 - not starting

2 - forced on

3 - running

4 - not starting

8 - forced on

12 - running

16 - off

17 - not starting (1) (default)

18 - forced on (1)

19 - running (1)

20 - not starting (2)

24 - forced on (2)

28 - running (2)

30 - running (1+2)

timestampUnixtime timestamp0
connectionStatusConnection status

null - unknown

0 - offline (default)

1 - online

2 - suspended

3 - unknown

dataAgeData age0